summaryrefslogtreecommitdiff
path: root/dev-python/pylsqpack
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-07 18:56:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-07 18:56:47 +0000
commit5c0658b47fea05d66899299e189fbd57f50807b1 (patch)
tree02dfda74cfb4ff89776d56a45b536b44bc02adec /dev-python/pylsqpack
parent62a222daa7c257758318913c541e220c1b1b9cfe (diff)
downloadbaldeagleos-repo-5c0658b47fea05d66899299e189fbd57f50807b1.tar.gz
baldeagleos-repo-5c0658b47fea05d66899299e189fbd57f50807b1.tar.xz
baldeagleos-repo-5c0658b47fea05d66899299e189fbd57f50807b1.zip
Adding metadata
Diffstat (limited to 'dev-python/pylsqpack')
-rw-r--r--dev-python/pylsqpack/Manifest1
-rw-r--r--dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch15
-rw-r--r--dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild38
-rw-r--r--dev-python/pylsqpack/pylsqpack-0.3.20.ebuild24
4 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/pylsqpack/Manifest b/dev-python/pylsqpack/Manifest
index 8805dd5b505a..25577cb2adc8 100644
--- a/dev-python/pylsqpack/Manifest
+++ b/dev-python/pylsqpack/Manifest
@@ -1 +1,2 @@
DIST pylsqpack-0.3.19.tar.gz 660771 BLAKE2B b4b8ded7022eadf581270465446a6e0df2d241d18cacdc4fcfd725c865c02f17b5af5cbfd8eba65217ef9db1f24babe06faebc16c6cce68042d452dce03ffb1f SHA512 7ed2c24dcacb099d00100c33ae4ede3bf19488d17920267cfe934eb069f3fc3d3a62b275c2a9d3a23ece42f1c09df6cf736cea47b798959a2a09d27dd8eda97d
+DIST pylsqpack-0.3.20.tar.gz 676273 BLAKE2B ee031fdc56f8193b9f0b13c806f88d76d1e1bc2c8d6b1a5530a9630c07912251e9f9010d958c1f7a5c86aca895533768ead907573723544d0a662482051d131a SHA512 42cb9276ba4a2ffdbd1dd96813c4ab27881c2fe35616fa32e760d2341c71f1065db4959bde1a444df61ca85399870b9a736ed16e8a2768c96edee2df11bdb063
diff --git a/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch b/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch
new file mode 100644
index 000000000000..6a383511c91d
--- /dev/null
+++ b/dev-python/pylsqpack/files/pylsqpack-0.3.20-unbundle.patch
@@ -0,0 +1,15 @@
+diff --git a/setup.py b/setup.py
+index 03fc754..286eab7 100644
+--- a/setup.py
++++ b/setup.py
+@@ -35,9 +35,8 @@ setuptools.setup(
+ py_limited_api=True,
+ sources=[
+ "src/pylsqpack/binding.c",
+- "vendor/ls-qpack/lsqpack.c",
+- "vendor/ls-qpack/deps/xxhash/xxhash.c",
+ ],
++ libraries=["ls-qpack"],
+ ),
+ ],
+ cmdclass={"bdist_wheel": bdist_wheel_abi3},
diff --git a/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild b/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild
new file mode 100644
index 000000000000..02069025a2bb
--- /dev/null
+++ b/dev-python/pylsqpack/pylsqpack-0.3.20-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python wrapper for the ls-qpack QPACK library"
+HOMEPAGE="
+ https://github.com/aiortc/pylsqpack/
+ https://pypi.org/project/pylsqpack/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+distutils_enable_tests pytest
+
+DEPEND="
+ dev-libs/ls-qpack:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${P}-unbundle.patch"
+ )
+
+ distutils-r1_src_prepare
+ rm -r vendor || die
+}
diff --git a/dev-python/pylsqpack/pylsqpack-0.3.20.ebuild b/dev-python/pylsqpack/pylsqpack-0.3.20.ebuild
new file mode 100644
index 000000000000..3093efde158c
--- /dev/null
+++ b/dev-python/pylsqpack/pylsqpack-0.3.20.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python wrapper for the ls-qpack QPACK library"
+HOMEPAGE="
+ https://github.com/aiortc/pylsqpack/
+ https://pypi.org/project/pylsqpack/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+distutils_enable_tests pytest
+
+# TODO: package ls-qpack and unbundle it